$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = "https://github.com/RPCS3/rpcs3-binaries-win/releases/download/build-a7a5034958de8c5827b7d6fb310cd4b1f9ba6df2/rpcs3-v0.0.10-10575-a7a50349_win64.7z"

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  url           = $url
  checksum      = '0139a469deb31edc7ca0619e2cf7947f46950921f50f6f7bb90d24f25bb2696f'
  checksumType  = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
